Loading...
Searching...
No Matches
janus_rabbitmq_client Struct Reference

## Data Fields

amqp_connection_state_t | rmq_conn
amqp_channel_t | rmq_channel
gboolean | janus_api_enabled
amqp_bytes_t | janus_exchange
amqp_bytes_t | to_janus_queue
gboolean | admin_api_enabled
amqp_bytes_t | to_janus_admin_queue
GThread * | in_thread
GThread * | out_thread
GAsyncQueue * | messages
janus_mutex | mutex
gint | session_timeout:1
gint | destroy:1
gint | connected:1

## Field Documentation

## admin_api_enabled

gboolean janus_rabbitmq_client::admin_api_enabled

## connected

gint janus_rabbitmq_client::connected

## destroy

gint janus_rabbitmq_client::destroy

## in_thread

GThread* janus_rabbitmq_client::in_thread

## janus_api_enabled

gboolean janus_rabbitmq_client::janus_api_enabled

## janus_exchange

amqp_bytes_t janus_rabbitmq_client::janus_exchange

## messages

GAsyncQueue* janus_rabbitmq_client::messages

## mutex

janus_mutex janus_rabbitmq_client::mutex

## out_thread

GThread * janus_rabbitmq_client::out_thread

## rmq_channel

amqp_channel_t janus_rabbitmq_client::rmq_channel

## rmq_conn

amqp_connection_state_t janus_rabbitmq_client::rmq_conn

## session_timeout

gint janus_rabbitmq_client::session_timeout

## to_janus_admin_queue

amqp_bytes_t janus_rabbitmq_client::to_janus_admin_queue

## to_janus_queue

amqp_bytes_t janus_rabbitmq_client::to_janus_queue

The documentation for this struct was generated from the following file:

- janus_rabbitmq.c